## wiznote-2.8.5-1.src.tar.gz

=== CMakeLists.txt ===
# NOTE for OSX users:
# export MACOSX_DEPLOYMENT_TARGET=10.7 on .bash_profile if you want to compile use 10.7 sdk
# sdk location: /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs
# you can download old sdk from here: https://github.com/JuliaEichler/Mac_OSX_SDKs
# default is 10.7 for binary release.

# CMake arguments for WizNote
# APPSTORE_BUILD  build for Apple Appsotre, would not use qt deploy
# XCODEBUILD      adjust project params to suit for xcode
#UPDATE_TRANSLATIONS  update transation files
# PLCrashReporter   use PLCrashReporter for mac, need PLCrashReporter framework

if (APPLE)
    cmake_minimum_required(VERSION 2.8.12)
else(APPLE)
    cmake_minimum_required(VERSION 2.8.4)
endif(APPLE)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
set(CMAKE_OSX_SYSROOT "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk")

# rpath resolve.
#set(CMAKE_BUILD_WITH_INSTALL_RPATH YES)     // would cause wheelEvent problem on centos/fedora when compiled with qt5
if(APPLE)
    set(CMAKE_INSTALL_NAME_DIR "@rpath/PlugIns")
    SET(CMAKE_INSTALL_RPATH "@loader_path/..;@executable_path/..")
    #SET(PLCrashReporter on)
else(APPLE)
    set(CMAKE_INSTALL_RPATH "$ORIGIN;$ORIGIN/..")
    set (openssl-linked on)
endif(APPLE)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif()

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(UNIX)
    if(COMPILER_SUPPORTS_CXX11)
        if(APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -stdlib=libc++")
        else(APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
        endif(APPLE)
    elseif(COMPILER_SUPPORTS_CXX0X)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    else()
            message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
    endif()
endif()

if(APPLE)
    if(APPSTORE_BUILD)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -gdwarf-2")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -gdwarf-2")
        add_definitions(-DBUILD4APPSTORE=TRUE)
    endif(APPSTORE_BUILD)
    if (PLCrashReporter)
        add_definitions(-DUsePLCrashReporter=TRUE)
    endif(PLCrashReporter)
    add_definitions(-DUSECOCOATOOLBAR=TRUE)
endif(APPLE)


if(APPLE)
    set(WIZNOTE_ROOT_DIR ${CMAKE_BINARY_DIR}/WizNote.app)
    set(WIZNOTE_CONTENTS_DIR ${WIZNOTE_ROOT_DIR}/Contents)
    set(WIZNOTE_RESOURCE_DIR ${WIZNOTE_ROOT_DIR}/Contents/Resources)
else(APPLE)
    set(WIZNOTE_ROOT_DIR ${CMAKE_BINARY_DIR})
    set(WIZNOTE_RESOURCE_DIR ${WIZNOTE_ROOT_DIR}/share)
endif(APPLE)

if (WIN32)
    add_definitions(-DQUAZIP_STATIC)
endif()



add_subdirectory(lib)
add_subdirectory(src)

=== lib/CMakeLists.txt ===
project(libs)

find_package(ZLIB)
if(NOT ZLIB_FOUND)
    add_subdirectory(zlib)
    message("ZLIB not found, using internal: ${zlib_SOURCE_DIR}")
    set(ZLIB_INCLUDE_DIR ${zlib_SOURCE_DIR} ${zlib_BINARY_DIR})
    set(ZLIB_LIBRARY zlib)
endif(NOT ZLIB_FOUND)

add_subdirectory(cryptopp)
add_subdirectory(quazip)
#add_subdirectory(aggregation)
#add_subdirectory(extensionsystem)

=== src/CMakeLists.txt ===
project(WizNote)

add_subdirectory(test)

set(wiznote_SOURCES_MAC
    mac/WizSearchWidget.mm
    mac/WizMacHelper.mm
    mac/WizMacToolBar.mm
    mac/WizMacToolBarDelegate.mm
    mac/WizMacActionHelper.cpp
    mac/WizUserInfoWidgetBaseMac.mm
    mac/WizUserInfoWidgetBaseMac_mm.cpp
    utils/WizNotify.mm
    mac/WizIAPHelper.mm
    mac/rmstore/RMAppReceipt.mm
    mac/rmstore/RMStoreAppReceiptVerificator.mm
    mac/WizNotificationCenter.mm
    widgets/WizIAPDialog.cpp
    mac/DTWebArchive.m
)

set(wiznote_HEADERS_MAC
    mac/WizMacHelper.h
    mac/WizMacHelper_mm.h
    mac/WizSearchWidget_mm.h
    mac/WizMacToolBar.h
    mac/WizMacToolBarDelegate.h
    mac/WizMacActionHelper.h
    mac/WizUserInfoWidgetBaseMac_mm.h
    mac/WizIAPHelper.h
    mac/rmstore/RMAppReceipt.h
    mac/rmstore/RMStoreAppReceiptVerificator.h
    mac/WizNotificationCenter.h
    widgets/WizIAPDialog.h
    mac/DTWebArchive.h
)


set(wiznote_FORMS_MAC
    ui/WizIAPDialog.ui
)

set(wiznote_SOURCES
    utils/WizLogger.cpp
    utils/WizMisc.cpp
    utils/WizPinyin.cpp
    utils/WizNotify.cpp
    share/WizZip.cpp
    share/WizQtHelper.cpp
    share/WizMisc.cpp
    share/sqlite3.c
    share/cppsqlite3.cpp
    share/WizObject.cpp
    share/WizKMCore.cpp
    share/WizGlobal.cpp
    share/WizDatabase.cpp
    share/WizDatabaseManager.cpp
    share/WizSettings.cpp
    share/WizUI.cpp
    share/WizMd5.cpp
    share/WizHtml2Zip.cpp
    share/WizWin32Helper.cpp
    share/WizDrawTextHelper.cpp
    share/WizUIHelper.cpp
    share/WizUIBase.cpp
    share/WizCommonUI.cpp
    share/WizAnimateAction.cpp
    share/WizPopupWidget.cpp
    share/WizMultiLineListWidget.cpp
    share/WizFileIconProvider.cpp
    share/WizWindowsHelper.cpp
    share/WizIndexBase.cpp
    share/WizIndex.cpp
    share/WizThumbIndex.cpp
    share/WizEnc.cpp
    share/WizZiwReader.cpp
    html/WizHtmlReader.cpp
    html/WizHtmlCollector.cpp    
    share/WizSearch.cpp
    widgets/WizScrollBar.cpp
    sync/WizToken.cpp
    sync/WizApiEntry.cpp
    share/WizObjectDataDownloader.cpp
    sync/WizAvatarHost.cpp
    sync/WizKMServer.cpp
    sync/WizKMSync.cpp
    sync/WizAsyncApi.cpp
    sync/WizAvatarUploader.cpp
    sync/WizJSONServerBase.cpp
    sync/WizSync.cpp
    widgets/WizUserInfoWidget.cpp
    widgets/WizUserInfoWidgetBase.cpp
    widgets/WizSegmentedButton.cpp
    utils/WizStyleHelper.cpp
    utils/WizPathResolve.cpp
    share/WizWindowTitleBar.cpp
    share/WizShadowEffect.cpp
    widgets/WizTagBar.cpp
    widgets/WizTrayIcon.cpp
    share/WizEventLoop.cpp
    share/WizObjectOperator.cpp
    widgets/WizAboutDialog.cpp
    widgets/WizLocalProgressWebView.cpp
    widgets/WizCrashReportDialog.cpp
    widgets/WizCustomToolBar.cpp
    widgets/WizTipsWidget.cpp
    widgets/WizSingleDocumentView.cpp
    widgets/WizShareLinkDialog.cpp
    share/WizAnalyzer.cpp
    share/WizTranslater.cpp
    widgets/WizAdvancedSearchDialog.cpp
    share/WizUdpClient.cpp
    share/WizMessageBox.cpp
    share/WizFileMonitor.cpp
    share/WizLockedFile.cpp
    share/WizLocalPeer.cpp
    share/WizSingleApplication.cpp
    widgets/WizImageButton.cpp
    widgets/WizCodeEditorDialog.cpp
    widgets/WizFramelessWebDialog.cpp
    widgets/WizScreenShotWidget.cpp
    widgets/WizVerificationCodeDialog.cpp
    widgets/WizEmailShareDialog.cpp
    widgets/WizTemplatePurchaseDialog.cpp
    widgets/WizExecutingActionDialog.cpp
    share/WebSocketClientWrapper.cpp
    share/WebSocketTransport.cpp
    share/WizWebEngineView.cpp
    widgets/WizTableSelector.cpp
    widgets/WizUserServiceExprDialog.cpp

    share/jsoncpp/jsoncpp.cpp
    share/WizRequest.cpp

    WizCategoryView.cpp
    WizCategoryViewItem.cpp
    WizDocumentListView.cpp
    WizDocumentListViewItem.cpp
    WizDocumentView.cpp
    WizDocumentWebView.cpp
    WizActions.cpp
    WizNoteStyle.cpp
    WizLineInputDialog.cpp
    WizDocumentHistory.cpp
    WizAttachmentListWidget.cpp
    WizTagListWidget.cpp
    WizConsoleDialog.cpp
    WizPreferenceDialog.cpp
    WizProxyDialog.cpp
    WizCreateAccountDialog.cpp
    WizMainWindow.cpp
    WizCellButton.cpp
    WizTitleBar.cpp
    WizInfoBar.cpp
    WizNotifyBar.cpp
    WizTitleEdit.cpp
    WizStatusBar.cpp
    WizUpgradeNotifyDialog.cpp
    WizUserCipherForm.cpp
    WizNoteInfoForm.cpp
    WizSearchWidget.cpp
    WizEditorInsertLinkForm.cpp
    WizUpgrade.cpp
    WizButton.cpp
    WizEditorToolBar.cpp
    WizEditorInsertTableForm.cpp
    WizFileImporter.cpp
    WizFolderSelector.cpp
    WizProgressDialog.cpp
    WizFolderView.cpp
    WizDocumentSelectionView.cpp
    WizDocumentTransitionView.cpp
    WizPopupButton.cpp
    WizWebSettingsDialog.cpp
    WizUserVerifyDialog.cpp
    WizMessageListView.cpp
    WizThumbCache.cpp
    WizMessageCompleter.cpp
    WizDocumentEditStatus.cpp
    WizLoginDialog.cpp
    WizSearchReplaceWidget.cpp
    WizDocTemplateDialog.cpp
    WizMobileFileReceiver.cpp
    WizWebEngineInjectObject.cpp
    WizCombineNotesDialog.cpp
    WizSvgEditorDialog.cpp

    WizOEMSettings.cpp    
    mac/WizSearchWidget_mm.cpp
    core/WizAccountManager.cpp
    core/WizCommentManager.cpp
    core/WizNoteManager.cpp
    share/WizThreads.cpp
    WizPositionDelegate.cpp
    main.cpp
    WizInitBizCertDialog.cpp
    share/WizDocumentStyle.cpp

    WizPlugins.cpp
)

set(wiznote_HEADERS
    share/WizZip.h
    share/WizQtHelper.h
    share/WizMisc.h
    share/sqlite3ext.h
    share/sqlite3.h
    share/cppsqlite3.h
    share/WizObject.h
    share/WizKMCore.h
    share/WizDatabase.h
    share/WizDatabaseManager.h
    share/WizSettings.h
    share/WizUI.h
    share/WizHtml2Zip.h
    share/WizMd5.h
    share/WizWin32Helper.h
    share/WizDrawTextHelper.h
    share/WizUIHelper.h
    share/WizUIBase.h
    share/WizCommonUI.h
    share/WizAnimateAction.h
    share/WizPopupWidget.h
    share/WizMultiLineListWidget.h
    share/WizFileIconProvider.h
    share/WizWindowsHelper.h
    share/WizIndexBase.h
    share/WizIndex.h
    share/WizThumbIndex.h
    share/WizEnc.h
    share/WizZiwReader.h
    share/WizGlobal.h
    html/WizHtmlReader.h
    html/WizHtmlCollector.h
    sync/WizKMServer.h
    sync/WizKMSync.h
    sync/WizAsyncApi.h
    sync/WizAvatarUploader.h
    share/WizSyncableDatabase.h
    share/WizSearch.h
    widgets/WizAboutDialog.h
    widgets/WizSegmentedButton.h
    widgets/WizUserInfoWidget.h
    widgets/WizUserInfoWidgetBase.h
    widgets/WizScrollBar.h
    sync/WizToken.h
    sync/WizToken_p.h
    sync/WizApiEntry.h
    share/WizObjectDataDownloader.h
    sync/WizAvatarHost.h
    sync/WizAvatarHost_p.h
    utils/WizStyleHelper.h
    utils/WizPathResolve.h
    share/WizWindowTitleBar.h
    share/WizShadowWindow.h
    share/WizShadowEffect.h
    widgets/WizTableSelector.h

    share/jsoncpp/json/json.h
    share/jsoncpp/json/json-forwards.h
    share/WizRequest.h

    WizDef.h
    WizActions.h
    WizNoteStyle.h
    WizCategoryView.h
    WizCategoryViewItem.h
    WizDocumentListView.h
    WizDocumentListViewItem.h
    WizDocumentView.h
    WizDocumentWebView.h
    WizDocumentHistory.h
    WizAttachmentListWidget.h
    WizTagListWidget.h
    WizConsoleDialog.h
    WizPreferenceDialog.h
    WizProxyDialog.h
    WizCreateAccountDialog.h
    WizMainWindow.h
    WizCellButton.h
    WizTitleBar.h
    WizInfoBar.h
    WizNotifyBar.h
    WizTitleEdit.h
    sync/WizSync.h
    sync/WizKMSync_p.h
    WizStatusBar.h
    WizUpgradeNotifyDialog.h
    WizUserCipherForm.h
    WizNoteInfoForm.h
    WizLineInputDialog.h
    WizSearchWidget.h
    WizEditorInsertLinkForm.h
    WizUpgrade.h
    WizEditorToolBar.h
    WizWebSettingsDialog.h
    WizPopupButton.h
    WizDocumentTransitionView.h
    WizButton.h
    WizEditorInsertTableForm.h
    WizFileImporter.h
    WizFolderSelector.h
    WizProgressDialog.h
    WizFolderView.h
    WizDocumentSelectionView.h
    WizUserVerifyDialog.h
    utils/WizLogger.h
    utils/WizMisc.h
    utils/WizPinyin.h
    utils/WizNotify.h
    WizMessageListView.h
    WizThumbCache.h
    WizThumbCache_p.h
    WizMessageCompleter.h
    widgets/WizImageButton.h
    WizDocumentEditStatus.h
    WizLoginDialog.h
    share/WizFileMonitor.h
    WizSearchReplaceWidget.h
    widgets/WizCodeEditorDialog.h
    WizDocTemplateDialog.h
    WizMobileFileReceiver.h
    widgets/WizFramelessWebDialog.h
    share/WizLockedFile.h
    share/WizLocalPeer.h
    share/WizSingleApplication.h
    widgets/WizScreenShotWidget.h
    widgets/WizVerificationCodeDialog.h
    widgets/WizEmailShareDialog.h
    share/WebSocketClientWrapper.h
    share/WebSocketTransport.h
    share/WizWebEngineView.h
    WizWebEngineInjectObject.h
    widgets/WizShareLinkDialog.h
    share/WizAnalyzer.h
    share/WizTranslater.h
    widgets/WizAdvancedSearchDialog.h
    share/WizUdpClient.h
    share/WizMessageBox.h
    WizOEMSettings.h
    widgets/WizTagBar.h
    widgets/WizTrayIcon.h
    share/WizEventLoop.h
    sync/WizJSONServerBase.h
    share/WizObjectOperator_p.h
    share/WizObjectOperator.h
    widgets/WizLocalProgressWebView.h
    widgets/WizCrashReportDialog.h
    widgets/WizCustomToolBar.h
    widgets/WizTipsWidget.cpp
    widgets/WizSingleDocumentView.h
    widgets/WizTemplatePurchaseDialog.h
    widgets/WizExecutingActionDialog.h
    widgets/WizUserServiceExprDialog.h
    WizPositionDelegate.h
    core/WizAccountManager.h
    core/WizCommentManager.h
    core/WizNoteManager.h
    share/WizThreads.h
    share/WizThreads_p.h
    WizInitBizCertDialog.h
    share/WizDocumentStyle.h
    WizCombineNotesDialog.h
    WizSvgEditorDialog.h

    WizPlugins.h
)

set(wiznote_FORMS
    ui/WizLineInputDialog.ui
    ui/WizConsoleDialog.ui
    ui/WizPreferenceDialog.ui
    ui/WizProxyDialog.ui
    ui/WizCreateAccountDialog.ui
    ui/WizUpgradeNotifyDialog.ui
    ui/WizUserCipherForm.ui
    ui/WizNoteInfoForm.ui
    ui/WizEditorInsertLinkForm.ui
    ui/WizEditorInsertTableForm.ui
    ui/WizProgressDialog.ui
    ui/WizLoginDialog.ui
    ui/WizSearchReplaceWidget.ui
    ui/WizDocTemplateDialog.ui
    ui/WizVerificationCodeDialog.ui
    ui/WizEmailShareDialog.ui
    ui/WizAdvancedSearchDialog.ui
    ui/WizCrashReportDialog.ui
    ui/WizTemplatePurchaseDialog.ui
    ui/WizExecutingActionDialog.ui
    ui/WizInitBizCertDialog.ui
    ui/WizUserServiceExprDialog.ui
    ui/WizCombineNotesDialog.ui
)

set(wiznote_TRANSLATIONS
    ${CMAKE_SOURCE_DIR}/i18n/wiznote_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/i18n/wiznote_zh_TW.ts
)



set(wiznote_RCS
    ${CMAKE_SOURCE_DIR}/resources/wiznote.qrc
)

include(QtChooser)
qt_add_ui(wiznote_FORM_HEADERS ${wiznote_FORMS})
qt_add_resources(wiznote_RC ${wiznote_RCS})
qt_add_translation(wiznote_QM ${wiznote_TRANSLATIONS})

message("WizNote whill compiling as ${CMAKE_BUILD_TYPE}, use Qt: ${QT_VERSION}")

# build
if(UNIX)
    if(APPLE)
        qt_add_ui(wiznote_FORM_HEADERS ${wiznote_FORMS_MAC})

        set(wiznote_LOGO ${CMAKE_SOURCE_DIR}/build/common/logo/wiznote.icns)

        # we should copy qt internal qm files, otherwise qt can't translate some internal resources
        # and also macdeployqt will not do this work for us
        # refer to: https://bugreports.qt-project.org/browse/QTBUG-18662
        file(GLOB _qt5_QM ${qt_translations_dir}/qt_*.qm)

        add_executable(WizNote MACOSX_BUNDLE  ${wiznote_HEADERS} ${wiznote_HEADERS_MAC} ${wiznote_FORM_HEADERS} ${wiznote_SOURCES_MAC} ${wiznote_SOURCES} ${wiznote_QM} ${_qt5_QM} ${wiznote_RC} ${wiznote_LOGO})
        set_target_properties(WizNote PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
        set_target_properties(${PROJECT_NAME} PROPERTIES AUTOMOC_MOC_OPTIONS "-DQ_OS_MAC")

        # this should be issue of cmake, refer: http://public.kitware.com/Bug/bug_revision_view_page.php?rev_id=958
        set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "-F /System/Library/Frameworks")

        # qmake will do this automatically
        set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS "-mmacosx-version-min=10.7")

        # suppress cmake warnning when link library is not a target, refer to cmp0016 for detailed info.

=== lib/aggregation/CMakeLists.txt ===
project(aggregation)

set(aggr_HEADERS
    aggregate.h
    aggregation_global.h
)

set(aggr_SOURCES
    aggregate.cpp
)

include(QtChooser)
add_library(aggregation SHARED ${aggr_SOURCES} ${aggr_HEADERS})
qt_use_modules(aggregation Core)
qt_suppress_warnings(aggregation)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

install(TARGETS aggregation DESTINATION lib/wiznote/plugins)

=== lib/cryptopp/CMakeLists.txt ===
# Copyright (c) 2010, 2011 Sergiu Dotenco
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

cmake_minimum_required (VERSION 2.8)
project (cryptopp)

option (CRYPTOPP_FIPS_COMPLIANT "CryptoPP FIPS 140 compliant" OFF)
option (CRYPTOPP_BUILD_TESTS "Build CryptoPP tests" OFF)
option (CRYPTOPP_BUILD_SHARED_LIBS "Build shared CryptoPP libraries" OFF)
option (CRYPTOPP_BUILD_STATIC_LIBS "Build static CryptoPP libraries" ON)

if (NOT CRYPTOPP_BUILD_STATIC_LIBS AND CRYPTOPP_BUILD_TESTS)
  set (CRYPTOPP_BUILD_STATIC_LIBS ON CACHE BOOL "" FORCE)
endif (NOT CRYPTOPP_BUILD_STATIC_LIBS AND CRYPTOPP_BUILD_TESTS)

if (NOT CRYPTOPP_BUILD_SHARED_LIBS AND CRYPTOPP_BUILD_TESTS)
  set (CRYPTOPP_BUILD_SHARED_LIBS ON CACHE BOOL "" FORCE)
endif (NOT CRYPTOPP_BUILD_SHARED_LIBS AND CRYPTOPP_BUILD_TESTS)

file (GLOB PROJECT_CPP *.cpp)
file (GLOB PROJECT_H *.h)
file (GLOB PROJECT_PCH pch.h)

configure_file (adhoc.cpp.proto ${CMAKE_CURRENT_BINARY_DIR}/adhoc.cpp COPYONLY)

list (APPEND PROJECT_CPP ${CMAKE_CURRENT_BINARY_DIR}/adhoc.cpp)

include_directories (${CMAKE_CURRENT_SOURCE_DIR})

set (PROJECT_TEST bench bench2 test validat1 validat2 validat3 adhoc datatest
  regtest fipsalgt fipstest)

if (WIN32)
  list (APPEND PROJECT_TEST dlltest)
endif (WIN32)

set (PROJECT_TEST_CPP)

foreach (_PROJECT_TEST_FILE ${PROJECT_TEST})
  foreach (_PROJECT_FILE ${PROJECT_CPP})
    if (${_PROJECT_FILE} MATCHES ".*${_PROJECT_TEST_FILE}\\.cpp$")
      LIST (REMOVE_ITEM PROJECT_CPP ${_PROJECT_FILE})
    endif (${_PROJECT_FILE} MATCHES ".*${_PROJECT_TEST_FILE}\\.cpp$")
  endforeach (_PROJECT_FILE)
  list (APPEND PROJECT_TEST_CPP ${_PROJECT_TEST_FILE}.cpp)
endforeach(_PROJECT_TEST_FILE)

set (PROJECT_CPP_LIB ${PROJECT_CPP})
set (PROJECT_CPP_SHARED ${PROJECT_CPP})

list (APPEND PROJECT_CPP_SHARED ${CMAKE_CURRENT_SOURCE_DIR}/fipstest.cpp)
list (REMOVE_ITEM PROJECT_CPP_SHARED ${CMAKE_CURRENT_SOURCE_DIR}/ttmac.cpp)

foreach (_PROJECT_FILE ${PROJECT_CPP_LIB})
  if (${_PROJECT_FILE} MATCHES ".*dll.+\\.cpp$")
    list (REMOVE_ITEM PROJECT_CPP_LIB ${_PROJECT_FILE})
  endif (${_PROJECT_FILE} MATCHES ".*dll.+\\.cpp$")
endforeach (_PROJECT_FILE)

# Intel compiler
if (CMAKE_CXX_COMPILER MATCHES ic[c|l])
  add_definitions (-wd811)
  # Variable of static storage duration was declared but never referenced
  add_definitions (-wd2415)
  # Function was declared but never referenced
  add_definitions (-wd177)
endif (CMAKE_CXX_COMPILER MATCHES ic[c|l])

#remove_definitions (-DUNICODE -D_UNICODE)

if (MINGW AND NOT CMAKE_RC_COMPILER_INIT)
  set (CMAKE_RC_COMPILER_INIT windres)
  enable_language (RC)
  set (CMAKE_RC_COMPILE_OBJECT "-O coff -o <OBJECT> <SOURCE>")
endif (MINGW AND NOT CMAKE_RC_COMPILER_INIT)

if (WIN32)
  list (APPEND PROJECT_CPP_SHARED cryptopp.rc)
endif (WIN32)

if (CRYPTOPP_BUILD_SHARED_LIBS)
  add_library (cryptopp SHARED ${PROJECT_CPP_SHARED} ${PROJECT_H}
    ${PROJECT_PCH})
endif (CRYPTOPP_BUILD_SHARED_LIBS)

if (CRYPTOPP_BUILD_STATIC_LIBS)
  add_library (cryptlib STATIC ${PROJECT_CPP_LIB} ${PROJECT_H} ${PROJECT_PCH})
endif (CRYPTOPP_BUILD_STATIC_LIBS)

if (CRYPTOPP_BUILD_TESTS)
  add_executable (crypttest ${PROJECT_TEST_CPP})

  if (CMAKE_COMPILER_IS_GNUCXX)
    set_target_properties (crypttest PROPERTIES LINK_FLAGS -pthread)
  endif (CMAKE_COMPILER_IS_GNUCXX)

  if (WIN32)
    add_executable (dlltest dlltest.cpp)
  endif (WIN32)
endif (CRYPTOPP_BUILD_TESTS)

set (_CRYPTOPP_COMPILE_DEFINITIONS USE_PRECOMPILED_HEADERS)

if (CRYPTOPP_FIPS_COMPLIANT)
  list (APPEND _CRYPTOPP_COMPILE_DEFINITIONS
    CRYPTOPP_ENABLE_COMPLIANCE_WITH_FIPS_140_2=1)
else (CRYPTOPP_FIPS_COMPLIANT)
  list (APPEND _CRYPTOPP_COMPILE_DEFINITIONS
    CRYPTOPP_ENABLE_COMPLIANCE_WITH_FIPS_140_2=0)
endif (CRYPTOPP_FIPS_COMPLIANT)

if (TARGET cryptlib)
  list (APPEND _CRYPTOPP_INSTALL_TARGETS cryptlib)
endif (TARGET cryptlib)

if (TARGET cryptopp)
  list (APPEND _CRYPTOPP_INSTALL_TARGETS cryptopp)
endif (TARGET cryptopp)

if (APPLE)
    add_definitions (-DCRYPTOPP_DISABLE_ASM)
endif (APPLE)

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set_target_properties (${_CRYPTOPP_INSTALL_TARGETS} PROPERTIES COMPILE_FLAGS
    "-Wno-tautological-compare -Wno-unused-value -Wno-switch -Wno-string-plus-int")
endif()

# Prevent MSVC from issuing the LNK4221 warning
set_source_files_properties (strciphr.cpp simple.cpp polynomi.cpp algebra.cpp
  eccrypto.cpp eprecomp.cpp PROPERTIES HEADER_FILE_ONLY TRUE)

if (MSVC)
  set_target_properties (${_CRYPTOPP_INSTALL_TARGETS} PROPERTIES
    COMPILE_DEFINITIONS "${_CRYPTOPP_COMPILE_DEFINITIONS}")
  # Setup precompiled headers and use intrinsics; the latter fixes MSVC8 linker
  # errors
  #set_target_properties (${_CRYPTOPP_INSTALL_TARGETS} PROPERTIES COMPILE_FLAGS
  #  "-Yupch.h -Oi")
  #set_source_files_properties (pch.cpp PROPERTIES COMPILE_FLAGS -Yc)
  # These files don't use precompiled headers
  set_source_files_properties (dll.cpp cryptlib_bds.cpp iterhash.cpp
    PROPERTIES COMPILE_FLAGS -Y-)
endif (MSVC)

if (_CRYPTOPP_INSTALL_TARGETS AND WIN32)
  set_target_properties (${_CRYPTOPP_INSTALL_TARGETS} PROPERTIES DEFINE_SYMBOL
    CRYPTOPP_EXPORTS)
endif (_CRYPTOPP_INSTALL_TARGETS AND WIN32)

if (TARGET crypttest)
  target_link_libraries (crypttest cryptlib cryptopp)
endif (TARGET crypttest)

if (TARGET dlltest)
  target_link_libraries (dlltest cryptopp)
endif (TARGET dlltest)

if (WIN32)
  get_target_property (_TEMP cryptopp COMPILE_DEFINITIONS)

  if (NOT _TEMP)
    unset (_TEMP)
  endif (NOT _TEMP)

  list (APPEND _TEMP _USRDLL)

  if (TARGET cryptopp)
    set_target_properties (cryptopp PROPERTIES COMPILE_DEFINITIONS "${_TEMP}")
    set_target_properties (cryptopp PROPERTIES DEBUG_POSTFIX d)
  endif (TARGET cryptopp)

  if (TARGET cryptlib)
    set_target_properties (cryptlib PROPERTIES DEBUG_POSTFIX d)
  endif (TARGET cryptlib)

  if (CRYPTOPP_BUILD_TESTS)
    set_target_properties (crypttest PROPERTIES COMPILE_DEFINITIONS _CONSOLE)

    set (_TEMP CRYPTOPP_DLL_ONLY _CONSOLE)
    set_target_properties (dlltest PROPERTIES COMPILE_DEFINITIONS
      "${_TEMP};CRYPTOPP_NO_LIB")
  endif (CRYPTOPP_BUILD_TESTS)
endif (WIN32)

IF (WIN32)
  if (TARGET cryptopp)
    target_link_libraries (cryptopp Ws2_32)
  endif (TARGET cryptopp)

  if (TARGET cryptlib)
    target_link_libraries (cryptlib Ws2_32)
  endif (TARGET cryptlib)
endif (WIN32)

if (_CRYPTOPP_INSTALL_TARGETS)
  #set_target_properties (${_CRYPTOPP_INSTALL_TARGETS} PROPERTIES PUBLIC_HEADER
  #  "${PROJECT_H}")

  #install (TARGETS ${_CRYPTOPP_INSTALL_TARGETS}
  #  EXPORT cryptopp-targets
  #  RUNTIME DESTINATION bin
  #  LIBRARY DESTINATION lib
  #  ARCHIVE DESTINATION lib
  #  PUBLIC_HEADER DESTINATION include/cryptopp)
endif (_CRYPTOPP_INSTALL_TARGETS)

if (TARGET crypttest)
  enable_testing ()
  # Run validation tests
  add_test (NAME cryptopp-validation COMMAND crypttest v WORKING_DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR})
endif (TARGET crypttest)

# Intel compiler, Windows
if (CMAKE_CXX_COMPILER MATCHES icl)
  set_target_properties (${_CRYPTOPP_INSTALL_TARGETS} PROPERTIES COMPILE_FLAGS
    /Qopenmp)
# Intel compiler, non-Windows
elseif (CMAKE_CXX_COMPILER MATCHES icc)
  set_target_properties (${_CRYPTOPP_INSTALL_TARGETS} PROPERTIES COMPILE_FLAGS
    -fopenmp)
endif (CMAKE_CXX_COMPILER MATCHES icl)

if (TARGET crypttest)
  get_target_property (crypttest RUNTIME_OUTPUT_DIRECTORY _DATA_DIR)

  if (NOT _DATA_DIR)
    set (_DATA_DIR ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})
  endif (NOT _DATA_DIR)

  set (_DATA_DIR ${_DATA_DIR}/${CMAKE_CFG_INTDIR})

  add_custom_command (TARGET crypttest POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_directory
            ${CMAKE_CURRENT_SOURCE_DIR}/TestData ${_DATA_DIR}/TestData
    COMMAND ${CMAKE_COMMAND} -E copy_directory
            ${CMAKE_CURRENT_SOURCE_DIR}/TestVectors ${_DATA_DIR}/TestVectors
    COMMENT "Copying cryptopp test data")
endif (TARGET crypttest)

set (_CRYPTOPP_VERSION_HEADER ${CMAKE_CURRENT_LIST_DIR}/config.h)

file (STRINGS ${_CRYPTOPP_VERSION_HEADER} _CRYPTOPP_VERSION_TMP REGEX
  "^#define CRYPTOPP_VERSION[ \t]+[0-9]+$")

string (REGEX REPLACE
  "^#define CRYPTOPP_VERSION[ \t]+([0-9]+)" "\\1" _CRYPTOPP_VERSION_TMP
  ${_CRYPTOPP_VERSION_TMP})

string (REGEX REPLACE "([0-9]+)[0-9][0-9]" "\\1" CRYPTOPP_VERSION_MAJOR
  ${_CRYPTOPP_VERSION_TMP})
string (REGEX REPLACE "[0-9]([0-9])[0-9]" "\\1" CRYPTOPP_VERSION_MINOR
  ${_CRYPTOPP_VERSION_TMP})
string (REGEX REPLACE "[0-9][0-9]([0-9])" "\\1" CRYPTOPP_VERSION_PATCH
  ${_CRYPTOPP_VERSION_TMP})

configure_file (cryptopp-config.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/cryptopp-config.cmake @ONLY)
configure_file (cryptopp-config-build.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/cryptopp-config-build.cmake @ONLY)
configure_file (cryptopp-config-version.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/cryptopp-config-version.cmake @ONLY)

export (TARGETS ${_CRYPTOPP_INSTALL_TARGETS} FILE
  ${CMAKE_CURRENT_BINARY_DIR}/cryptopp-targets.cmake)
export (PACKAGE CryptoPP)

#install (EXPORT cryptopp-targets DESTINATION . COMPONENT Development)
#install (FILES
#    ${CMAKE_CURRENT_BINARY_DIR}/cryptopp-config.cmake
#    ${CMAKE_CURRENT_BINARY_DIR}/cryptopp-config-version.cmake
#    DESTINATION . COMPONENT Development)

=== lib/extensionsystem/CMakeLists.txt ===
project(extensionsystem)

set(extsys_HEADERS
    pluginerrorview.h
    plugindetailsview.h
    invoker.h
    iplugin.h
    iplugin_p.h
    extensionsystem_global.h
    pluginmanager.h
    pluginmanager_p.h
    pluginspec.h
    pluginspec_p.h
    pluginview.h
    optionsparser.h
    plugincollection.h
    pluginerroroverview.h
)

set(extsys_SOURCES
    pluginerrorview.cpp
    plugindetailsview.cpp
    invoker.cpp
    iplugin.cpp
    pluginmanager.cpp
    pluginspec.cpp
    pluginview.cpp
    optionsparser.cpp
    plugincollection.cpp
    pluginerroroverview.cpp
)

set(extsys_FORMS
    pluginview.ui
    pluginerrorview.ui
    plugindetailsview.ui
    pluginerroroverview.ui
)

set(extsys_RESOURCES
    pluginview.qrc
)

include(QtChooser)
qt_add_ui(extsys_FORM_HEADERS ${extsys_FORMS})
qt_add_resources(extsys_RC ${extsys_RESOURCES})
message(STATUS ${extsys_RC})
add_library(extensionsystem SHARED ${extsys_SOURCES} ${extsys_HEADERS} ${extsys_FORM_HEADERS} ${extsys_RC})
qt_use_modules(extensionsystem)
qt_suppress_warnings(extensionsystem)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${libs_SOURCE_DIR}
)

target_link_libraries(extensionsystem aggregation)

if(UNIX AND NOT APPLE)
    target_link_libraries(extensionsystem ${CMAKE_DL_LIBS})
endif(UNIX AND NOT APPLE)

install(TARGETS extensionsystem DESTINATION lib/wiznote/plugins)

=== lib/openssl/CMakeLists.txt ===
# only headers, no target.

=== lib/quazip/CMakeLists.txt ===
project (QuaZip)

file(GLOB SRCS "*.c" "*.cpp")
file(GLOB PUBLIC_HEADERS "*.h")

include(../../cmake/QtChooser.cmake)
add_library(quazip STATIC ${SRCS} ${PUBLIC_HEADERS})
qt_use_modules(quazip)
qt_suppress_warnings(quazip)

# set all include directories for in and out of source builds
include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
        ${ZLIB_INCLUDE_DIR}
)

# Link against ZLIB_LIBRARIES if needed (on Windows this variable is empty)
target_link_libraries(quazip ${ZLIB_LIBRARY})

=== lib/zlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.4)
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS ON)

project(zlib C)

set(VERSION "1.2.8")

option(ASM686 "Enable building i686 assembly implementation")
option(AMD64 "Enable building amd64 assembly implementation")


include(CheckTypeSize)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckCSourceCompiles)
enable_testing()

check_include_file(sys/types.h HAVE_SYS_TYPES_H)
check_include_file(stdint.h    HAVE_STDINT_H)
check_include_file(stddef.h    HAVE_STDDEF_H)

#
# Check to see if we have large file support
#
set(CMAKE_REQUIRED_DEFINITIONS -D_LARGEFILE64_SOURCE=1)
# We add these other definitions here because CheckTypeSize.cmake
# in CMake 2.4.x does not automatically do so and we want
# compatibility with CMake 2.4.x.
if(HAVE_SYS_TYPES_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_SYS_TYPES_H)
endif()
if(HAVE_STDINT_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_STDINT_H)
endif()
if(HAVE_STDDEF_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_STDDEF_H)
endif()
check_type_size(off64_t OFF64_T)
if(HAVE_OFF64_T)
   add_definitions(-D_LARGEFILE64_SOURCE=1)
endif()
set(CMAKE_REQUIRED_DEFINITIONS) # clear variable

#
# Check for fseeko
#
check_function_exists(fseeko HAVE_FSEEKO)
if(NOT HAVE_FSEEKO)
    add_definitions(-DNO_FSEEKO)
endif()

#
# Check for unistd.h
#
check_include_file(unistd.h Z_HAVE_UNISTD_H)

if(MSVC)
    set(CMAKE_DEBUG_POSTFIX "d")
    add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
    add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR})
endif()

if(NOT CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
    # If we're doing an out of source build and the user has a zconf.h
    # in their source tree...
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h)
        message(STATUS "Renaming")
        message(STATUS "    ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h")
        message(STATUS "to 'zconf.h.included' because this file is included with zlib")
        message(STATUS "but CMake generates it automatically in the build directory.")
        file(RENAME ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h.included)
  endif()
endif()

set(ZLIB_PC ${CMAKE_CURRENT_BINARY_DIR}/zlib.pc)
configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/zlib.pc.cmakein
		${ZLIB_PC} @ONLY)
configure_file(	${CMAKE_CURRENT_SOURCE_DIR}/zconf.h.cmakein
		${CMAKE_CURRENT_BINARY_DIR}/zconf.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR})


#============================================================================
# zlib
#============================================================================

set(ZLIB_PUBLIC_HDRS
    ${CMAKE_CURRENT_BINARY_DIR}/zconf.h
    zlib.h
)
set(ZLIB_PRIVATE_HDRS
    crc32.h
    deflate.h
    gzguts.h
    inffast.h
    inffixed.h
    inflate.h
    inftrees.h
    trees.h
    zutil.h
)
set(ZLIB_SRCS
    adler32.c
    compress.c
    crc32.c
    deflate.c
    gzclose.c
    gzlib.c
    gzread.c
    gzwrite.c
    inflate.c
    infback.c
    inftrees.c
    inffast.c
    trees.c
    uncompr.c
    zutil.c
)

if(NOT MINGW)
    set(ZLIB_DLL_SRCS
        win32/zlib1.rc # If present will override custom build rule below.
    )
endif()

if(CMAKE_COMPILER_IS_GNUCC)
    if(ASM686)
        set(ZLIB_ASMS contrib/asm686/match.S)
    elseif (AMD64)
        set(ZLIB_ASMS contrib/amd64/amd64-match.S)
    endif ()

	if(ZLIB_ASMS)
		add_definitions(-DASMV)
		set_source_files_properties(${ZLIB_ASMS} PROPERTIES LANGUAGE C COMPILE_FLAGS -DNO_UNDERLINE)
	endif()
endif()

if(MSVC)
    if(ASM686)
		ENABLE_LANGUAGE(ASM_MASM)
        set(ZLIB_ASMS
			contrib/masmx86/inffas32.asm
			contrib/masmx86/match686.asm
		)
    elseif (AMD64)
		ENABLE_LANGUAGE(ASM_MASM)
        set(ZLIB_ASMS
			contrib/masmx64/gvmat64.asm
			contrib/masmx64/inffasx64.asm
		)
    endif()

	if(ZLIB_ASMS)
		add_definitions(-DASMV -DASMINF)
	endif()
endif()

# parse the full version number from zlib.h and include in ZLIB_FULL_VERSION
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/zlib.h _zlib_h_contents)
string(REGEX REPLACE ".*#define[ \t]+ZLIB_VERSION[ \t]+\"([-0-9A-Za-z.]+)\".*"
    "\\1" ZLIB_FULL_VERSION ${_zlib_h_contents})

if(MINGW)
    # This gets us DLL resource information when compiling on MinGW.
    if(NOT CMAKE_RC_COMPILER)
        set(CMAKE_RC_COMPILER windres.exe)
    endif()

    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj
                       COMMAND ${CMAKE_RC_COMPILER}
                            -D GCC_WINDRES
                            -I ${CMAKE_CURRENT_SOURCE_DIR}
                            -I ${CMAKE_CURRENT_BINARY_DIR}
                            -o ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj
                            -i ${CMAKE_CURRENT_SOURCE_DIR}/win32/zlib1.rc)
    set(ZLIB_DLL_SRCS ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj)
endif(MINGW)

add_library(zlib SHARED ${ZLIB_SRCS} ${ZLIB_ASMS} ${ZLIB_DLL_SRCS} ${ZLIB_PUBLIC_HDRS} ${ZLIB_PRIVATE_HDRS})

#add_library(zlibstatic STATIC ${ZLIB_SRCS} ${ZLIB_ASMS} ${ZLIB_PUBLIC_HDRS} ${ZLIB_PRIVATE_HDRS})
set_target_properties(zlib PROPERTIES DEFINE_SYMBOL ZLIB_DLL)
set_target_properties(zlib PROPERTIES SOVERSION 1)

if(NOT CYGWIN)
    # This property causes shared libraries on Linux to have the full version
    # encoded into their final filename.  We disable this on Cygwin because
    # it causes cygz-${ZLIB_FULL_VERSION}.dll to be created when cygz.dll
    # seems to be the default.
    #
    # This has no effect with MSVC, on that platform the version info for
    # the DLL comes from the resource file win32/zlib1.rc
    set_target_properties(zlib PROPERTIES VERSION ${ZLIB_FULL_VERSION})
endif()

if(UNIX)
    # On unix-like platforms the library is almost always called libz
   set_target_properties(zlib PROPERTIES OUTPUT_NAME z)
   if(NOT APPLE)
     set_target_properties(zlib PROPERTIES LINK_FLAGS "-Wl,--version-script,\"${CMAKE_CURRENT_SOURCE_DIR}/zlib.map\"")
   endif()
elseif(BUILD_SHARED_LIBS AND WIN32)
    # Creates zlib1.dll when building shared library version
    set_target_properties(zlib PROPERTIES SUFFIX "1.dll")
endif()

=== build/debian/changelog ===
wiznote (2.0.62-1ppa1) precise; urgency=medium

  * see changelog

 -- Albert.Zhou (Wiz) <albert748@gmail.com>  Mon, 04 Nov 2013 04:02:58 +0800

wiznote (2.0.59-1ppa1) precise; urgency=medium

  * see changelog

 -- Albert.Zhou (wiz) <albert748@gmail.com>  Fri, 01 Nov 2013 13:54:24 +0000

wiznote (2.0.56-1ppa1) precise; urgency=medium

  * see changelog

 -- Albert.Zhou (wiz) <albert748@gmail.com>  Thu, 24 Oct 2013 19:05:21 +0000

wiznote (2.0.50-1ppa1) precise; urgency=medium

  * see changelog

 -- Albert.Zhou (wiz) <albert748@gmail.com>  Thu, 24 Oct 2013 19:05:21 +0000

wiznote (2.0.46-1ppa1) precise; urgency=medium

  * see changelog

 -- Albert.Zhou (wiz) <albert748@gmail.com>  Tue, 22 Oct 2013 18:59:30 +0000

wiznote (2.0.38-1ppa2) precise; urgency=medium

  * New modern theme
  * Rewrite of syncing backend, more stable, more fast
  * Support Biz enterprise group category
  * etc..

 -- Albert.Zhou (wiz) <albert748@gmail.com>  Sun, 20 Oct 2013 19:49:26 +0800

wiznote (1.5.18-0ppa1~raring1) raring; urgency=low

  * 1.5.18: [critical] bug fix

 -- Albert.Zhou (wiz) <albert748@gmail.com>  Mon, 03 Jun 2013 16:38:47 +0800

wiznote (1.5.16-0ppa1~raring1) raring; urgency=low

  * 1.5.16: bug fix

 -- Albert.Zhou (wiz) <albert748@gmail.com>  Thu, 30 May 2013 22:04:45 +0800

wiznote (1.5.14-0ppa1~raring1) raring; urgency=low

  * 1.5.14: bug fix

 -- Albert.Zhou (wiz) <albert748@gmail.com>  Tue, 28 May 2013 17:50:18 +0800

wiznote (1.5.13-0ppa1~raring1) raring; urgency=low

  * 1.5.13 release

 -- Albert.Zhou (wiz) <albert748@gmail.com>  Tue, 28 May 2013 14:09:51 +0800

wiznote (1.5.1-0ppa1~raring2) raring; urgency=low

  * 1.5.1 release

 -- Albert.Zhou (wiz) <albert748@gmail.com>  Tue, 30 Apr 2013 18:30:46 +0800

wiznote (1.4.11-0ppa1~quantal1) quantal; urgency=low

  * 1.4.11 release

 -- Albert.Zhou (wiz) <albert748@gmail.com>  Wed, 27 Feb 2013 15:54:25 +0800

wiznote (1.4.0-1) precise; urgency=low

  * Initial debian package

 -- Albert.Zhou (wiz) <albert748@gmail.com>  Wed, 20 Feb 2013 16:03:56 +0800

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Contributor: Albert.Zhou <albert.zhou@wiz.cn>

pkgname=wiznote
pkgver=2.8.5
_commit=2d4566aa1ff6e5a773d59e26df5ab07517931242
pkgrel=1
pkgdesc="Opensource cross-platform cloud based note-taking client"
arch=('x86_64')
url="https://www.wiz.cn"
license=('GPL3')
depends=('desktop-file-utils' 'hicolor-icon-theme' 'xdg-utils' 'qt5-websockets' 'qt5-webengine'
         'qt5-svg') # 'crypto++')
# shared clucene/quazip triggers segfault
makedepends=('cmake' 'qt5-tools' 'boost')
source=("$pkgname-$_commit.tar.gz::https://github.com/WizTeam/WizQTClient/archive/$_commit.tar.gz")
sha512sums=('35b86abbde7d234b5ebcd66b9912ffddbf272a5ab7ff99ca408eb6a66366ab1c00a0c88241fd702f4f8d968c06a7c53722595eb4085938a5b5c726cfad38a832')

prepare() {
  #sed -e 's/add_subdirectory(cryptopp)//' \
  #    -i WizQTClient-$_commit/lib/CMakeLists.txt
  #sed -e 's/cryptlib/cryptopp/' \
  #    -i WizQTClient-$_commit/src/CMakeLists.txt

  sed -i '/#include <QPainter>/a #include <QPainterPath>' WizQTClient-$_commit/src/sync/WizAvatarHost.cpp

  rm -rf build; mkdir build
}

build() {
  cd build

  cmake \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_BUILD_TYPE=Release \
    ../WizQTClient-$_commit
  make
}

package() {
  cd build
  make DESTDIR="$pkgdir" install
}

=== build/arch/PKGBUILD ===
# Maintainer: Albert.Zhou <albert.zhou@wiz.cn>
pkgname=wiznote
pkgver=2.5.5
pkgrel=1
pkgdesc="Opensource cross-platform cloud based note-taking client"
arch=('i686' 'x86_64')
url="http://www.wiznote.com"
license=('GPL3' 'custom')
depends=('desktop-file-utils' 'hicolor-icon-theme' 'xdg-utils' 'qt5-base' 'qt5-webengine' 'qt5-websockets' 'openssl-1.0') # indirect: qt5-declarative qt5-sensors zlib glic gcc-libs
makedepends=('cmake>=2.8.9' 'qt5-tools')
install=wiznote.install
#source=("$pkgname::git+https://github.com/WizTeam/WizQTClient.git#tag=$pkgver") # Use git is too slow
#md5sums=('SKIP')
_wiznote_project_name="WizQTClient"
source=("$pkgname.tar.gz::https://github.com/WizTeam/WizQTClient/archive/$pkgver.zip")
md5sums=('74350d8bc09bfbb5145ed761fc77e9c1')

build() {
	cd "$srcdir/$_wiznote_project_name-${pkgver}"
    cmake -DWIZNOTE_USE_QT5=YES -DCMAKE_INSTALL_PREFIX=/usr/ -DCMAKE_BUILD_TYPE=Release .
	make -j8
}

package() {
	cd "$srcdir/$_wiznote_project_name-${pkgver}"
	make DESTDIR="$pkgdir/" install
}

=== build/debian/control ===
Source: wiznote
Section: graphics
Priority: standard
Maintainer: Albert.Zhou <albert.zhou@wiz.cn>
Build-Depends: debhelper (>= 9), cmake (>= 2.8), libqt4-dev (>= 4.8), libqtwebkit-dev, zlib1g-dev
Standards-Version: 2.0.62
Homepage: http://www.wiznote.com

Package: wiznote
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross platform cloud based note-taking application
 WizNote is a cross platform cloud based note-taking application.
 .
 support following platforms:
 1. windows xp/vista/7/8.
 2. Mac OSX.
 3. Linux
 3. Android/IOs.
 4. Web
 .
 please refer to WizNote home for more detailed info: http://www.wiznote.com.
